Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227017 - xscreensaver-gl-extras should require xscreensaver-base
Summary: xscreensaver-gl-extras should require xscreensaver-base
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 16:48 UTC by Nicola Soranzo
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 5.01-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-03 05:24:51 UTC


Attachments (Terms of Use)

Description Nicola Soranzo 2007-02-02 16:48:02 UTC
Description of problem:
The StarWars screensaver included in the xscreensaver-gl-extras package needs
/usr/bin/xscreensaver-text to work correctly. This file is included in the
xscreensaver-base package, which presently is not a dependency for
xscreensaver-gl-extras.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install xscreensaver-gl-extras but not xscreensaver-base.
2. Select StarWars as preferred screensaver.
3. Start the screensaver
  
Actual results:
"sh: xscreensaver-text: command not found" is displayed on the screen.

Expected results:


Additional info:

Comment 1 Mamoru TASAKA 2007-02-02 16:52:43 UTC
Well, I surely know this and perhaps jwz (upstream) knows
this.
I will mail to jwz to discuss this issue, plus some
idea.

By the way why does this bug have fedora-review flag?

Comment 2 Mamoru TASAKA 2007-02-03 05:24:51 UTC
Okay, jwz and me agreed.
Requires is added, plus metapackage xscreensaver is created
for convenience.

Should be fixed in 5.01-6.fc[76]. Thank you for your report.


Note You need to log in before you can comment on or make changes to this bug.